<HTML lang="en">
    <Head>
        <Title>HackersTown Server Access</Title>
        <meta charset="utf-8">
        <base href="/"/>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Javascript -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/color/jquery.color.plus-names-2.1.2.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
        <script src="/fittext.js"></script>
        <script src="/index.js"></script>
        <!-- Stylesheets -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link href="/style.css" rel="stylesheet"/>
    </Head>
    <Body>
        <div class="row">
            <div class="desktopOnly col-4"></div>
            <div id="content" class="col-4 center">
                <div class="row">
                    <a href="https://hackers.town">
                        <img src="/Assets/HTown.png" class="logo self-align-center mx-auto d-block" alt="Hacker Town logo in ASCII art. Rendered as image to force correct visualization."/>
                    </a>
                </div>
                <div id="title" class="row center">
                    <span id="resizer">
                        &ltTTY ACCESS&gt
                    </span>
                </div>
                <div class="row button">
                    <button id="bttn" class="keyButton" onclick="beginOauth()">Create Account</button>
                </div>
                <div class="row copyright">
                    <?php 
                        if (file_exists("/etc/ttyserver/canary")){
                            echo "Canary";
                        }
                    ?>
                    <br>
                    <a href="https://git.corrupt.link/liz/tilde-oauth">View Source on Git</a>
                </div>
            </div>
            <div class="desktopOnly col-4"></div>
        </div>
    </Body>
</HTML>